#!/usr/bin/env python
#
############################################################################
#
# SCRIPT:       Calculating predictor variables for SDM (Treene) based on buffers/ real distance filter
#
# AUTHOR(S):    Johannes Radinger

# DATE:         2012-10-01
#
#############################################################################

import sys
import os
import atexit


import grass.script as grass

d=[200,1000,2500,4000]

# For all rasters (rast_*) calculate mean exept for ordinary scaled rasters (orast_*)
# Change stat=(mean vs median)


input_raster_1 = ['rast_SUBD','rast_SUB_BLKST','rast_SUB_DEHNSCHT','rast_SUB_M',
'rast_SUB_S','rast_SUB_THW','rast_WSTIEF_A','rast_WS_BR','rast_rB_SO_0102',
'rast_rB_SO_0306','rast_rB_SO_0405','rast_rLSTR_0102','rast_rLSTR_0306',
'rast_rLSTR_04','rast_rLSTR_05','rast_rSSTR_0102','rast_rSSTR_030405',
'rast_rUSTR_0102030405','rast_rUSTR_0607','rast_UFB_01','rast_UFB_02','rast_UFB_03',
'rast_U_VER_01','rast_U_VER_02','rast_U_VER_03','rast_U_VER_04','rast_U_VER_05',
'rast_AZ_ART_SUB']


input_raster_2 = ['orast_BRVAR','orast_FL_G_AKT','orast_LAUFKR','orast_PTYP','orast_STRD_A','orast_S_W_VEG','orast_TIEFV']

input_raster_3 = ['rast_B_LAND','rast_B_SOHLE','rast_B_UFER',
'rast_F_KR','rast_F_BEW','rast_F_LP_E','rast_F_AV_SUB','rast_F_SVERB_BE',
'rast_F_PTIEF','rast_F_BR_ENTW','rast_F_PF','rast_F_NTU','rast_F_NTB','rast_F_UVERB','rast_F_GRS','rast_F_VL',
'rast_H_LAUF_ENT','rast_H_LP','rast_H_SSTR','rast_H_QP','rast_H_USTR','rast_H_GEW_UF','rast_GESAMT']


input_raster_4 = ['orast_Treene_Shreve','orast_Treene_Strahler']

input_raster_5 = ['rast_Treene_distance']

for k in d:
	# Adapt output location!!!!
	output="/path/to/output/data/Treene/SDM/Predictors/Set_A_d"+str(k)+"bar/"

	for i in input_raster_1:
		grass.run_command("r.rdfilter.py",
				input = i,
				distance = k,
				stop_points="DSV_unpermeable_Treene_adj@Barriers_Treene",
				stat="mean")
		
		grass.run_command("r.out.gdal",
				flags = "c",
				input = "d"+str(k)+"_"+i,
				output = output+"d"+str(k)+"bar_"+i+".tif")

